### Hierarchy

- Renderables

## Index

### Properties

- renderableMap

### Methods

- register
- resolve

## Properties

### Static Private renderableMap

renderableMap: object

- Defined in lib/renderable/Renderables.ts:9

#### Type declaration

## Methods

### Static register

- register(name: string, renderable: any): void

- - Defined in lib/renderable/Renderables.ts:17

  #### Parameters

  - ##### name: string

  - ##### renderable: any

  #### Returns void

### Static resolve

- resolve(name: string): any

- - Defined in lib/renderable/Renderables.ts:26

  #### Parameters

  - ##### name: string

  #### Returns any

Generated using TypeDoc